Home | All Classes | Grouped Classes | Index | Search

# CL_Quad::CL_Quad

Constructs a quad.

    	CL_Quad();

    	CL_Quad(
    		int new_x1, int new_y1, int new_x2, int new_y2, int new_x3, int new_y3, int new_x4, int new_y4);

    	CL_Quad(
    		const CL_Rect& rect);

    	CL_Quad(
    		const CL_Quad& q);

Parameters:

x1
  x-coord for first point of quad.
y1
  y-coord for first point of quad.
x2
  x-coord for second point of quad.
y2
  y-coord for second of quad.
x3
  x-coord for third point of quad.
y3
  y-coord for third point of quad.
x4
  x-coord for forth point of quad.
y4
  y-coord for forth point of quad.
rect
  Rectangle used to initialize the quad.

See also:

CL_Quad | CL_Rect

Questions or comments, write to the ClanLib mailing list.